Subject: [AVTCORE] [Technical Errata Reported] RFC4585 (2853)

From: RFC Errata System <[email-masked]>
Date: Tue, 5 Jul 2011 09:18:19 -0700 (PDT)

The following errata report has been submitted for RFC4585,
"Extended RTP Profile for Real-time Transport Control Protocol (RTCP)-Based Feedback (RTP/AVPF)".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=4585&eid=2853

--------------------------------------
Type: Technical
Reported by: Ali Begen <[email-masked]>

Section: 4.2

Original Text
-------------
OLD:
      rtcp-fb-param      = SP "app" [SP byte-string]
                         / SP token [SP byte-string]
                         / ; empty
NEW:
      rtcp-fb-param      = [ SP "app" [SP byte-string]
                         / SP token [SP byte-string] ]

OLD:
      rtcp-fb-ack-param  = SP "rpsi"
                         / SP "app" [SP byte-string]
                         / SP token [SP byte-string]
                         / ; empty
NEW:
      rtcp-fb-ack-param  = [ SP "rpsi"
                         / SP "app" [SP byte-string]
                         / SP token [SP byte-string] ]

OLD:
      rtcp-fb-nack-param = SP "pli"
                         / SP "sli"
                         / SP "rpsi"
                         / SP "app" [SP byte-string]
                         / SP token [SP byte-string]
                         / ; empty
NEW:
      rtcp-fb-nack-param = [ SP "pli"
                         / SP "sli"
                         / SP "rpsi"
                         / SP "app" [SP byte-string]
                         / SP token [SP byte-string] ]

Corrected Text
--------------

Notes
-----
During the AUTH48 of RFC 6285, we discovered a bug with the ABNF syntax in RFC 4585. The original ABNF in Section 4.2 (as noted above) is incorrect ("/ ;empty" is not a valid ABNF - RFC 5234 does not allow empty alternates).

The NEW text intends to fix it. There are 3 places where the same change should be applied (changes are identical).

Instructions:
-------------
This errata is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC4585 (draft-ietf-avt-rtcp-feedback-11)
--------------------------------------
Title               : Extended RTP Profile for Real-time Transport Control Protocol (RTCP)-Based Feedback (RTP/AVPF)
Publication Date    : July 2006
Author(s)           : J. Ott, S. Wenger, N. Sato, C. Burmeister, J. Rey
Category            : PROPOSED STANDARD
Source              : Audio/Video Transport
Area                : Real-time Applications and Infrastructure
Stream              : IETF
Verifying Party     : IESG

---

From: "Noriyuki SATO" <[email-masked]>
Date: Fri, 8 Jul 2011 17:14:21 +0900

Hi All,
I don't see any problem on applying these errata.

---
OKI Electric Industry Co., Ltd.
Noriyuki Sato ([email-masked])
Tel +81-6-6260-0700
Fax +81-6-6260-0770

> -----Original Message-----
> From: RFC Errata System [mailto:[email-masked]]
> Sent: Wednesday, July 06, 2011 1:18 AM
> To: [email-masked]; [email-masked]; [email-masked];
> [email-masked]; [email-masked];
> [email-masked]; [email-masked];
> [email-masked]; [email-masked]
> Cc: [email-masked]; [email-masked]; [email-masked]
> Subject: [Technical Errata Reported] RFC4585 (2853)
> 
> 
> "Extended RTP Profile for Real-time Transport Control Protocol
(RTCP)-Based
> Feedback (RTP/AVPF)".
> During the AUTH48 of RFC 6285, we discovered a bug with the ABNF syntax in
RFC
> 4585. The original ABNF in Section 4.2 (as noted above) is incorrect ("/
;empty"
> is not a valid ABNF - RFC 5234 does not allow empty alternates).
> 
> The NEW text intends to fix it. There are 3 places where the same change
should
> be applied (changes are identical).
> 
> Instructions:
> -------------
> Title               : Extended RTP Profile for Real-time Transport Control
> Protocol (RTCP)-Based Feedback (RTP/AVPF)

---

From: "Jose Rey" <[email-masked]>
Date: Fri, 8 Jul 2011 10:31:02 +0200

Fine with me
Cheers,

José

> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of RFC Errata System
> Sent: Tuesday, July 05, 2011 6:18 PM
> [email-masked]; 
> [email-masked]; [email-masked]; 
> [email-masked]; [email-masked]; 
> [email-masked]
> Cc: [email-masked]; [email-masked]
> Subject: [AVTCORE] [Technical Errata Reported] RFC4585 (2853)
> 
> 
> "Extended RTP Profile for Real-time Transport Control 
> Protocol (RTCP)-Based Feedback (RTP/AVPF)".
> 
> During the AUTH48 of RFC 6285, we discovered a bug with the 
> ABNF syntax in RFC 4585. The original ABNF in Section 4.2 (as 
> noted above) is incorrect ("/ ;empty" is not a valid ABNF - 
> RFC 5234 does not allow empty alternates).
> 
> The NEW text intends to fix it. There are 3 places where the 
> same change should be applied (changes are identical).
> 
> Instructions:
> -------------
> Title               : Extended RTP Profile for Real-time 
> Transport Control Protocol (RTCP)-Based Feedback (RTP/AVPF)
> _______________________________________________
> Audio/Video Transport Core Maintenance
> [email-masked]
> https://www.ietf.org/mailman/listinfo/avt
> 
> 

Panasonic R&D Center Germany GmbH
63225 Langen, Hessen, Germany
Reg: AG Offenbach (Hessen) HRB 33974
Managing Director: Thomas Micke